@rem
@rem Copyright (c) 2018, SAS Institute Inc., Cary, NC, USA, All Rights Reserved
@rem 

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  kinetic-dslink-esp startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and KINETIC_DSLINK_ESP_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\kinetic-dslink-esp-5.2.jar;%DFESP_HOME%\lib\dfx-esp-api.jar;%DFESP_HOME%\lib\jackson-annotations-2.8.11.jar;%DFESP_HOME%\lib\jackson-databind-2.8.11.2.jar;%DFESP_HOME%\lib\jackson-core-2.8.11.jar;%DFESP_HOME%\lib\jackson-dataformat-yaml-2.8.11.jar;%DFESP_HOME%\lib\snakeyaml-1.21.jar;%DFESP_HOME%\lib\cas-client-3.3.47.jar;%DFESP_HOME%\lib\commons-cli-1.2.jar;%APP_HOME%\lib\dslink-0.18.3.jar;%APP_HOME%\lib\commons-io-2.6.jar;%APP_HOME%\lib\logging-0.18.3.jar;%APP_HOME%\lib\runtime_shared-0.18.3.jar;%APP_HOME%\lib\slf4j-api-1.7.25.jar;%APP_HOME%\lib\jackson-core-2.9.1.jar;%APP_HOME%\lib\bcprov-jdk15on-1.51.jar;%APP_HOME%\lib\netty-all-4.1.0.Final.jar;%APP_HOME%\lib\jcommander-1.48.jar;%APP_HOME%\lib\jzlib-1.1.3.jar

@rem Execute kinetic-dslink-esp
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %KINETIC_DSLINK_ESP_OPTS%  -classpath "%CLASSPATH%" com.sas.kinetic.efm.esp.Main %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable KINETIC_DSLINK_ESP_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%KINETIC_DSLINK_ESP_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
